"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.showWarningDialog = exports.showErrorDialog = exports.showDialog = void 0;
const electron_1 = require("electron");
const locale = require("../locale/locale");
exports.showDialog = (message, title, type) => {
    const options = {
        message,
        title,
        type,
    };
    electron_1.dialog.showMessageBoxSync(options);
};
exports.showErrorDialog = (message) => {
    exports.showDialog(message, locale.getText('promptError'), 'error');
};
exports.showWarningDialog = (message) => {
    const options = {
        buttons: [locale.getText('promptOK')],
        message,
        title: locale.getText('promptWarning'),
        type: 'warning',
    };
    electron_1.dialog.showMessageBoxSync(options);
};
//# sourceMappingURL=showDialog.js.map